Name:           osc
Version:        0.169.1
Release:        3
Summary:        The Command Line Interface to work with an Open Build Service
License:        GPLv2+
Url:            https://github.com/openSUSE/osc
Source:         https://github.com/openSUSE/osc/archive/%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel python2-rpm python2-urlgrabber
Requires:       python2-rpm m2crypto python2-lxml python2-urlgrabber
Requires:       vim
Requires:       %{name}-help = %{version}-%{release}
Conflicts:      obs-build < 20180816

%description
The osc is an opensuse-commander with svn like handling.
It's a command line interface to work with an Open Build Service.

%package help
Summary:        Help package for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description help
This package contains some man help files for %{name}.

%prep
%autosetup -p1 -n osc-%{version}

iconv -f ISO8859-1 -t UTF-8 -o TODO.new TODO
mv TODO.new TODO

%build
%py2_build

%install
%py2_install

ln -s osc-wrapper.py %{buildroot}%{_bindir}/osc

install -d %{buildroot}%{_localstatedir}/lib/osc-plugins
install -d %{buildroot}%{_prefix}/lib/obs/service
install -d %{buildroot}%{_prefix}/lib/osc-plugins
install -d %{buildroot}%{_rpmconfigdir}/macros.d/

install -Dm644 dist/complete.csh %{buildroot}%{_sysconfdir}/profile.d/osc.csh
install -Dm644 dist/complete.sh %{buildroot}%{_datadir}/bash-completion/completions/osc
install -Dm755 dist/osc.complete %{buildroot}%{_datadir}/osc/complete

cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.osc <<EOF
%%obs_srcsvc_dir %{_prefix}/lib/obs/service
%%osc_plugin_dir %{_prefix}/lib/osc-plugins
EOF

%files
%doc AUTHORS README TODO NEWS
%license COPYING
%{_bindir}/osc*
%{python2_sitelib}/*
%{_sysconfdir}/profile.d/osc.csh
%{_datadir}/bash-completion/completions/osc
%dir %{_localstatedir}/lib/osc-plugins
%{_datadir}/osc
%{_rpmconfigdir}/macros.d/macros.osc
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%dir %{_prefix}/lib/osc-plugins

%files help
%{_mandir}/man1/osc.*

%changelog
* Fri Nov 06 2020 caodongxia <caodongxia@huawei.com> - 0.169.1-3
- Add install requires help package into main package

* Thu Sep 17 2020 maminjie <maminjie1@huawei.com> - 0.169.1-2
- Add vim to Requires list

* Wed Aug 05 2020 yaokai <yaokai13@huawei.com> - 0.169.1-1
- Upgrade to 0.169.1 to fix CVE-2019-3681

* Wed Nov 27 2019 catastrowings <jianghuhao1994@163.com> - 0.163.0-237.1.2
- Update to 0.163.0
